lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "vue_component_compiler/version"

Gem::Specification.new do |spec|
  spec.name          = 'vue_component_compiler'
  spec.version       = VueCompiler::VERSION
  spec.authors       = ['Pig Fang']
  spec.email         = ['g-plane@hotmail.com']
  spec.licenses      = ['MIT']
  spec.summary       = 'Vue component compiler'
  spec.homepage      = 'https://github.com/g-plane/vue-component-compiler-rb'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
